# novaclient.v2.aggregates module

Aggregate interface.

class novaclient.v2.aggregates.Aggregate(manager, info, loaded=False, resp=None)

  Bases: `Resource`

  An aggregates is a collection of compute hosts.

  Populate and bind to a manager.

  Parameters:

    - manager – BaseManager object

    - info – dictionary representing resource attributes

    - loaded – prevent lazy-loading if set to True

    - resp – Response or list of Response objects

  add_host(host)
  cache_images(images)
  delete()

    Delete the own aggregate.

    Returns:

      An instance of novaclient.base.TupleWithMeta

  remove_host(host)
  set_metadata(metadata)
  update(values)

    Update the name and/or availability zone.

class novaclient.v2.aggregates.AggregateManager(api)

  Bases: `ManagerWithFind`

  add_host(aggregate, host)

    Add a host into the Host Aggregate.

  cache_images(aggregate, images)

    Request images be cached on a given aggregate.

    Parameters:

      - aggregate – The aggregate to target

      - images – A list of image IDs to request caching

    Returns:

      An instance of novaclient.base.TupleWithMeta

  create(name, availability_zone)

    Create a new aggregate.

  delete(aggregate)

    Delete the specified aggregate.

    Parameters:

      aggregate – The aggregate to delete

    Returns:

      An instance of novaclient.base.TupleWithMeta

  get(aggregate)

    Get details of the specified aggregate.

  get_details(aggregate)

    Get details of the specified aggregate.

  list()

    Get a list of os-aggregates.

  remove_host(aggregate, host)

    Remove a host from the Host Aggregate.

  resource_class

    alias of `Aggregate`

  set_metadata(aggregate, metadata)

    Set aggregate metadata, replacing the existing metadata.

  update(aggregate, values)

    Update the name and/or availability zone.

this page last updated: 2026-07-15 14:18:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug